/**
  * Zambot
  * Zambot | Unlimited Trading | [https://zambot.net](https://zambot.net).
  *
  * The version of the OpenAPI document: 1.0.0
  * Contact: gzambon@gmail.com
  *
  * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
  * https://openapi-generator.tech
  * Do not edit the class manually.
  */

package net.zambot.tracker.model

import java.time.LocalDateTime
import java.util.UUID

import play.api.libs.json._

case class TrackInfo(trackId: UUID, inboundChannelId:Option[UUID], outboundChannelId:Option[UUID],
                     created: LocalDateTime, status: String, timestamp: LocalDateTime, interval: String,
                     parameters: TrackParameters, version:Long)

object TrackInfo {
  implicit val format: Format[TrackInfo] = Json.format
}

